package com.sun.xml.internal.ws.api.model.wsdl.editable;

import com.sun.xml.internal.ws.api.model.wsdl.WSDLInput;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLOutput;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLFault;
import javax.xml.namespace.QName;
import com.sun.istack.internal.Nullable;
import com.sun.istack.internal.NotNull;
import com.sun.xml.internal.ws.api.model.wsdl.WSDLOperation;

public interface EditableWSDLOperation extends WSDLOperation
{
    @NotNull
    public abstract EditableWSDLInput getInput();
    
    public abstract void setInput(EditableWSDLInput p0);
    
    @Nullable
    public abstract EditableWSDLOutput getOutput();
    
    public abstract void setOutput(EditableWSDLOutput p0);
    
    public abstract Iterable<? extends EditableWSDLFault> getFaults();
    
    public abstract void addFault(EditableWSDLFault p0);
    
    @Nullable
    public abstract EditableWSDLFault getFault(QName p0);
    
    public abstract void setParameterOrder(String p0);
    
    public abstract void freeze(EditableWSDLModel p0);
}
